diff -urNX /home/leigh/.diffex prev_linux-2.4.21-rc1/include/asm-ppc/io.h linux-2.4.21-rc1/include/asm-ppc/io.h
--- prev_linux-2.4.21-rc1/include/asm-ppc/io.h	2003-05-01 21:25:51.000000000 +0100
+++ linux-2.4.21-rc1/include/asm-ppc/io.h	2003-05-01 21:37:16.000000000 +0100
@@ -192,6 +192,22 @@
 #define memcpy_toio(a,b,c)	memcpy((void *)(a),(b),(c))
 
 /*
+ * XXX ISA functions - NOT to be forward ported to 2.5
+ */
+#define isa_readb(addr)		 __raw_readb(_ISA_MEM_BASE + (addr))
+#define isa_readw(addr)		 __raw_readw(_ISA_MEM_BASE + (addr))
+#define isa_readl(addr)		 __raw_readl(_ISA_MEM_BASE + (addr))
+#define isa_writeb(b, addr)	 writeb(b, _ISA_MEM_BASE + (addr))
+#define isa_writew(w, addr)	 writew(w, _ISA_MEM_BASE + (addr))
+#define isa_writel(l, addr)	 writel(l, _ISA_MEM_BASE + (addr))
+#define isa_memset_io(a,b,c)	 memset_io(_IO_BASE + (a), (b), (c))
+#define isa_memcpy_fromio(a,b,c) memcpy_fromio((a), _IO_BASE + (b), (c))
+#define isa_memcpy_toio(a,b,c)	 memcpy_toio(_IO_BASE + (a), (b), (c))
+
+#define eth_io_copy_and_sum(a,b,c,d)		eth_copy_and_sum((a),(b),(c),(d))
+#define isa_eth_io_copy_and_sum(a,b,c,d)	eth_copy_and_sum((a),(_IO_BASE + (b)),(c),(d))
+
+/*
  * Map in an area of physical address space, for accessing
  * I/O devices etc.
  */
